Package org.freeplane.api

# Interface Properties

All Known Subinterfaces:
  `Proxy.Properties`

public interface Properties

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Convertible`
  `getAt(String key)`
  Provides map-like access to properties.
  `Set<String>`
  `keySet()`
  returns the names of all attributes.
  `Convertible`
  `putAt(String key, Object value)`
  Allows to set and to change properties.

- ## Method Details

  - ### getAt

    Convertible getAt(String key)
    Provides map-like access to properties. Note that the returned type is a `Convertible`, not a String as in the basic storage. Nevertheless it behaves like a String in almost all respects, that is, in Groovy scripts it understands all String methods like lenght(), matches() etc.
    Note that unlike Attributes.getAt() this method will return null if the property is not set!
    Since:
      1.3.6

  - ### putAt

    Convertible putAt(String key, Object value)
    Allows to set and to change properties.
    Parameters:
      `value` - An object for conversion to String. Works well for all types that `Convertible` handles, particularly `Convertible`s itself. Use null to unset an attribute.
    Returns:
      the new value
    Since:
      1.3.6

  - ### keySet

    Set<String> keySet()
    returns the names of all attributes.
    Since:
      1.3.6